| Home | Libraries | People | FAQ | More

##### rtree()

The constructor.

###### Synopsis

    rtree(parameters_type const & parameters = parameters_type(),
          indexable_getter const & getter = indexable_getter(),
          value_equal const & equal = value_equal())

###### Modifier(s)

    explicit

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`parameters_type` `const &` | `parameters` | The parameters object.
`indexable_getter` `const &` | `getter` | The function object extracting Indexable from Value.
`value_equal` `const &` | `equal` | The function object comparing Values.

###### Throws

If allocator default constructor throws.